欢迎来到必发365有限公司

网站内容

2012使用Nuget获取Sqlite驱动包报错

发布者: 发布时间:2019-12-25 03:49 浏览量:197

背景

作者的VS二〇一一本子相比较老旧,是几年早先下载的。平时足够三方包和驱动包都以手动增加。后来询问到有Nuget这几个工具,如获珍宝。可是在行使进度中却出了无数标题。

早期,作者尝试使用Nuget增添Mongodb相关注重包,结果提醒信任包与Nuget版本不相称。因为已经有了手动下载好的包,所以就没留意,手动增加了信赖包。

前日,再度利用Nuget增加sqlite包,开掘依旧存在包容性难题。于是小编本着有帮助小组的构思,尝试消除这几个难题。

 

场景描述

接纳VS二零一一自带Nuget安装System.Data.Sqlite重视包,拆解剖判、下载甚至安装前半有个别均没分外,在设置最后的System.Data.SQLite.EF6时面世包容性难点。

 

标题叙述

“System.Data.SQLite.EF6”的结构版本与 NuGet 的版本 2.0.30625.9003 不宽容,请尝试到Nuget官方网站进级最新版Nuget。

 

施工方案

VS贰零壹壹给的提议是进级Nuget,可是作者思谋到协和的VS版本太旧,指不定曾几何时再冒出哪些难题,索性给VS来一次晋级。

点击工具栏  工具->扩展和更新->更新,更新VS。

经过长时间的等候,终于升迁成功,再度安装依赖包,成功。

读者能够选择尤其轻量的法子,仅进级Nuget。

 

参考

上一篇:没有了 下一篇:没有了

栏目热搜词

关于我们

网址: http://www.hhsyjj.com